Package org.eclipse.cdt.core.parser

## Enum ParserLanguage

- java.lang.Object
- - java.lang.Enum<ParserLanguage>
  - - org.eclipse.cdt.core.parser.ParserLanguage

All Implemented Interfaces:
  `Serializable`, `Comparable<ParserLanguage>`

    public enum ParserLanguage
    extends Enum<ParserLanguage>

Enumeration of base languages supported by CDT.

### Enum Constant Summary

Enum Constants
`C`
`CPP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `isCPP()`
`static ParserLanguage` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ParserLanguage[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### C

    public static final ParserLanguage C

#### CPP

    public static final ParserLanguage CPP

### Method Detail

#### values

    public static ParserLanguage[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParserLanguage c : ParserLanguage.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParserLanguage valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isCPP

    public abstract boolean isCPP()